#ifndef MYUDP_H
#define MYUDP_H

#include <QObject>
#include <QUdpSocket>


class MyUDP : public QObject
{
    Q_OBJECT
public:
    explicit MyUDP(QObject *parent = 0);
    void HelloUDP();
    void join();
signals:
    void multicastChanged(QHostAddress address);
    void packetArrived(int bellNumber);

public slots:
    void readyRead();
    void setMulticast(QHostAddress address);

public:
    QUdpSocket *socket;
private:
    QHostAddress listen_address;

};

#endif // MYUDP_H
